> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Keys

> List gateway key metadata. Secret values are never returned.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/ai-gateways/{gatewayId}/keys
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/ai-gateways/{gatewayId}/keys:
    get:
      tags:
        - aiGateways
      summary: List Keys
      description: List gateway key metadata. Secret values are never returned.
      operationId: aiGateways.listKeys
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: gatewayId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Gateway keys.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    name:
                      type: string
                    keyPrefix:
                      type: string
                    lastUsedAt:
                      type:
                        - string
                        - 'null'
                      format: date-time
                    revokedAt:
                      type:
                        - string
                        - 'null'
                      format: date-time
                    createdAt:
                      type: string
                      format: date-time
                  required:
                    - id
                    - name
                    - keyPrefix
                    - lastUsedAt
                    - revokedAt
                    - createdAt
                  additionalProperties: false
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````